package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cps_glb_view_cfg 展示配置对象 cps_glb_view_cfg
 * 
 * @author ruoyi
 * @date 2024-08-14
 */
public class CpsGlbViewCfg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** icon */
    @Excel(name = "icon")
    private String iconUri;

    /** 名称 */
    @Excel(name = "名称")
    private String labelTxt;

    /** style */
    @Excel(name = "style")
    private String style;

    /** 跳转页面路由 */
    @Excel(name = "跳转页面路由")
    private String url;

    /** 组件编码 */
    @Excel(name = "组件编码")
    private String compCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIconUri(String iconUri) 
    {
        this.iconUri = iconUri;
    }

    public String getIconUri() 
    {
        return iconUri;
    }
    public void setLabelTxt(String labelTxt) 
    {
        this.labelTxt = labelTxt;
    }

    public String getLabelTxt() 
    {
        return labelTxt;
    }
    public void setStyle(String style) 
    {
        this.style = style;
    }

    public String getStyle() 
    {
        return style;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setCompCode(String compCode) 
    {
        this.compCode = compCode;
    }

    public String getCompCode() 
    {
        return compCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("iconUri", getIconUri())
            .append("labelTxt", getLabelTxt())
            .append("style", getStyle())
            .append("url", getUrl())
            .append("compCode", getCompCode())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
